Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/libcaca/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- Makefile	19 Jun 2008 19:46:13 -0000	1.24
+++ Makefile	16 Jan 2009 19:57:01 -0000
@@ -6,10 +6,9 @@
 #
 
 PORTNAME=	libcaca
-DISTVERSION=	0.99.beta13
-PORTREVISION=	1
+DISTVERSION=	0.99.beta16
 CATEGORIES=	graphics
-MASTER_SITES=	http://libcaca.zoy.org/files/
+MASTER_SITES=	http://caca.zoy.org/raw-attachment/wiki/libcaca/
 
 MAINTAINER=	multimedia@FreeBSD.org
 COMMENT=	Graphics library that outputs text instead of pixels
@@ -22,24 +21,48 @@
 		--disable-csharp \
 		--disable-ruby
 
+OPTIONS=	X11 "Compile with X11 Support"	on \
+		IMLIB2 "Compile with imlib2 support" on \
+		OPENGL "Compile with OpenGL support" on \
+		CPPUNIT "Compile with cppunit support" on \
+		ZZUF "Compile with zzuf support" on
+
 DOCS=		AUTHORS COPYING COPYING.GPL COPYING.LGPL ChangeLog NEWS \
-		NOTES README THANKS TODO
+		NOTES README THANKS
 MAN1=		caca-config.1 cacafire.1 cacaplay.1 cacaserver.1 cacaview.1 \
 		img2txt.1
 
-.if defined(WITHOUT_X11)
-CONFIGURE_ARGS+=--disable-x11
-.else
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_X11)
 USE_XORG=	x11
+.else
+CONFIGURE_ARGS+=--disable-x11
 .endif
 
-.if defined(WITHOUT_IMLIB2)
+.if defined(WITH_IMLIB2)
+USE_EFL+=	imlib2
+.else
 CONFIGURE_ARGS+=--disable-imlib2
+.endif
+
+.if defined(WITH_OPENGL)
+USE_GL=		gl glut
 .else
-USE_EFL+=	imlib2
+CONFIGURE_ARGS+=--disable-gl
 .endif
 
-.include <bsd.port.pre.mk>
+.if defined(WITH_CPPUNIT)
+BUILD_DEPENDS+=	cppunit-config:${PORTSDIR}/devel/cppunit
+.else
+CONFIGURE_ARGS+=--disable-cppunit
+.endif
+
+.if defined(WITH_ZZUF)
+BUILD_DEPENDS+=	zzuf:${PORTSDIR}/security/zzuf
+.else
+CONFIGURE_ARGS+=--disable-zzuf
+.endif
 
 .if defined(WITH_SLANG)
 .  if exists(${LOCALBASE}/lib/libslang.so.1)
@@ -55,7 +78,7 @@
 post-patch:
 	@${REINPLACE_CMD} -e 's|-g -O2 ||g ; s| -fomit-frame-pointer||g ; \
 		s|arpa\/inet.h ||g' ${WRKSRC}/configure
-	@${REINPLACE_CMD} -e 's|: install-docDATA|:|g ; s| csharp||g' \
+	@${REINPLACE_CMD} -e 's|: install-docDATA|:|g ; s|caca-sharp||g' \
 			${WRKSRC}/Makefile.in
 
 .ifndef (NOPORTDOCS)
@@ -67,3 +90,4 @@
 .endif
 
 .include <bsd.port.post.mk>
+
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/graphics/libcaca/distinfo,v
retrieving revision 1.7
diff -u -r1.7 distinfo
--- distinfo	27 Feb 2008 22:51:18 -0000	1.7
+++ distinfo	16 Jan 2009 19:57:01 -0000
@@ -1,3 +1,3 @@
-MD5 (libcaca-0.99.beta13.tar.gz) = 39e27737a51d0cf309675d948b1bde4e
-SHA256 (libcaca-0.99.beta13.tar.gz) = 49544424f101c66780c06f318d63cd7a66454bbf4d95d46ddec47a0cc538a742
-SIZE (libcaca-0.99.beta13.tar.gz) = 949362
+MD5 (libcaca-0.99.beta16.tar.gz) = 3953bf4a803747b63a99f50125563151
+SHA256 (libcaca-0.99.beta16.tar.gz) = ca4c931cbed4bc4d8cbc942db91a7ff0ff5e0a4daec66eb2f274779918b64acc
+SIZE (libcaca-0.99.beta16.tar.gz) = 966593
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/graphics/libcaca/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- pkg-plist	27 Feb 2008 22:51:18 -0000	1.4
+++ pkg-plist	16 Jan 2009 19:57:01 -0000
@@ -5,10 +5,10 @@
 bin/cacaserver
 bin/cacaview
 bin/img2txt
+include/caca_types.h
 include/caca++.h
 include/caca.h
 include/caca0.h
-include/cucul++.h
 include/cucul.h
 lib/libcaca++.a
 lib/libcaca++.la
@@ -18,15 +18,13 @@
 lib/libcaca.la
 lib/libcaca.so
 lib/libcaca.so.0
-lib/libcucul++.a
-lib/libcucul++.la
-lib/libcucul++.so
-lib/libcucul++.so.0
-lib/libcucul.a
-lib/libcucul.la
-lib/libcucul.so
 lib/libcucul.so.0
+lib/libcucul.so
+lib/libcucul++.so.0
+lib/libcucul++.so
+libdata/pkgconfig/caca++.pc
 libdata/pkgconfig/caca.pc
+libdata/pkgconfig/cucul++.pc
 libdata/pkgconfig/cucul.pc
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/COPYING
@@ -37,7 +35,6 @@
 %%PORTDOCS%%%%DOCSDIR%%/NOTES
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/THANKS
-%%PORTDOCS%%%%DOCSDIR%%/TODO
 %%DATADIR%%/caca.txt
 @dirrm %%DATADIR%%
 %%PORTDOCS%%@dirrm %%DOCSDIR%%